## pdksh 5.2.14

=== debian/changelog ===
pdksh (5.2.14-26ubuntu1) precise-proposed; urgency=low

  * Mark pdksh Multi-Arch: foreign (LP: #1054343)

 -- Mark Russell <mark.russell@canonical.com>  Thu, 27 Sep 2012 17:53:15 -0400

pdksh (5.2.14-26) unstable; urgency=low

  * Orphaning package (see bug#646382), maintainer set to Debian QA Group.
  * Add a NEWS entry to recommend switching to other available implementations
    of the Korn shell.
  * Add `Suggests: mksh | ksh' line in debian/control.
  * Standards-Version: 3.9.2 (no changes).
  * Switch to source format to `3.0 (quilt)', drop build dependency on quilt
    together with README.source file.
  * Fix lintian warnings.
  * Build with debhelper v8.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Oct 2011 20:02:17 +0200

pdksh (5.2.14-25) unstable; urgency=low

  * Applied changes from mksh:
    + 109_mksh-delete_key.patch: make delete key work (closes: #190566);
    + 111_mksh-set-e.patch: fix set -e handling (closes: #387755, cf. #546332);
      remove 002_upstream-set-e.patch, it's no longer needed.

  * Patches from OpenBSD:
    + 112_OpenBSD-test.patch:  make test(1) operator precedence consistent
      with POSIX;
    + 113_OpenBSD-memory.patch: fix a few memory leaks;
    + 114_OpenBSD-let-crash.patch: fix `let --' crash;
    + 115_OpenBSD-echo-posix.patch: allow only `-n' option to `echo' in POSIX
      mode;
    + 116_OpenBSD-history.patch: infinite loop in history.

  * Debian patches:
    + 110_Debian-exit-negative-number.patch: fix `exit -1' handling
      (cf. #502934).
    + 117-Debian-test.patch: fix 4-argument test (closes: #465250).

  * Refresh other patches when needed.
  * Add a few regression tests, call make test during build.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Sep 2009 21:32:53 +0200

pdksh (5.2.14-24) unstable; urgency=low

  * Fix debian/watch file (closes: #460010).
  * 045_Debian-job-control.patch: modified to fix problem with 'stop ()'
    Thanks to Thorsten Glaser <tg@mirbsd.de> for the patch.
  * Standards-Version: 3.8.3.
  * Use debhelper v7.
  * Remove outdated preinst and some part from postinst (closes: #537778).
  * Add the debian/README.source file.

 -- Robert Luberda <robert@debian.org>  Sun, 30 Aug 2009 13:01:34 +0200

pdksh (5.2.14-23) unstable; urgency=low

  * 108_Debian-sysconf_retval_check.patch: Fix problem with `sudo pdksh -c
    "sleep 10 &"'.
  * Fix debian/watch file.

 -- Robert Luberda <robert@debian.org>  Mon, 26 May 2008 22:07:00 +0200

pdksh (5.2.14-22) unstable; urgency=low

  * Fix invalid CFLAGS line that caused FTBFS with current dpkg-buildpackage
    (closes: #476002).
  * Reorganise patches applied to the upstream version:
    + switch from dpatch to quilt;
    + split changes applied up to 5.2.14-20 into several patches as
      {001,002,010,011,020,030,040,041,042,043,044,045,050}_*.patch;
    + rename previous dpatch patches to {101,102,103,104,105}_*.patch.
  * New patches:
    + 106_Debian-man-hyphens.patch: fix hyphens in man page (lintian);
    + 107_Debian-gcc-warnings2.patch: fix a few gcc warnings.
  * Standards-Version: 3.7.3 (no changes).
  * Update debhelper build-dependency for v6.
  * Add source lintian overrides for `configure-generated-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Apr 2008 21:30:41 +0200

pdksh (5.2.14-21) unstable; urgency=low

  * Use dpatch for maintaining new patches.
  * 104_PLD-pdksh-EDITMODE.dpatch: Add support for EDITMODE variable.
  * 109_PLD-pdksh-ulimit-vmem.dpatch: Add support for `ulimit -v'.
  * 110_PLD-pdksh-unset.dpatch: Don't fail on unsetting undefined variables.
  * 111_BUG415167-lack-of-dot-arguments.dpatch: Don't ignore missing argument
    of the `.' command (closes: #415167).
  * 112_OpenBSD-heredoc-quote.dpatch: Fix " in here documents (closes: #219343).

  * Set debhelper compatibility mode to 6.
  * Standards-Version: 3.7.2 (no changes).
  * debian/menu: Change section name to "Applications" (lintian).
  * Add Homepage field to debian/control.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Oct 2007 00:25:06 +0200

pdksh (5.2.14-20) unstable; urgency=low

  * Depends on debianutils (>= 2.15) instead of passwd (closes: #334082).
  * Standards-Version: 3.6.2 (no changes)

 -- Robert Luberda <robert@debian.org>  Wed, 19 Oct 2005 20:34:06 +0200

pdksh (5.2.14-19) unstable; urgency=low

  * postinst,postrm: use add-shell and remove-shell commands to maintain /bin/pdksh
    in /etc/shells.
  * Declare dependency on passwd (>= 1:4.0.3-10) as described in README.shells
    from the passwd package.
  * c_ulimit.c: enclose all uses of RLIMIT_LOCKS with appropriate #ifdefs
    (closes: #307323).

 -- Robert Luberda <robert@debian.org>  Sat,  7 May 2005 10:53:52 +0200

pdksh (5.2.14-18) unstable; urgency=low

  * Rename /bin/ksh to /bin/pdksh and use the Debian alternatives mechanism
    for manage /bin/ksh (closes: #294592).
  * debian/{preinst,postinst}: update /bin/sh link if it pointed to /bin/ksh.
  * Update debian/menu.
  * Added NEWS.Debian.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Apr 2005 17:11:04 +0200

pdksh (5.2.14-17) unstable; urgency=low

  * Fix job control bug in non-interactive scripts (closes: #296446)
    Many thanks to Paul Stroud <pstroud@gmail.com> for the patch.
  * lex.c: Don't expand aliases if there's an opening bracket just after
    the token. Fixes unreported problem with pdksh reporting syntax error
    on the init scripts that define function named `stop' (clashing
    with an built-in alias.)

 -- Robert Luberda <robert@debian.org>  Sun, 27 Feb 2005 18:36:55 +0100

pdksh (5.2.14-16) unstable; urgency=medium

  * emacs.c: Fix segmentation fault bug when ksh used bash history file
    (closes: #284358).

 -- Robert Luberda <robert@debian.org>  Wed, 29 Dec 2004 00:43:04 +0100

pdksh (5.2.14-15) unstable; urgency=low

  * Fix typo in the ksh man page (closes: #281845).
    Thanks to A Costa <agcosta@gis.net> for the patch.


