=== debian/control ===
Source: pdksh
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2

Package: pdksh
Architecture: any
Multi-Arch: foreign
Depends: debianutils (>= 2.15), ${misc:Depends}, ${shlibs:Depends}
Homepage: http://www.cs.mun.ca/~michael/pdksh/
Suggests: mksh | ksh
Description: Public domain version of the Korn shell
 PD-ksh is a mostly complete AT&T ksh look-alike (see NOTES file for a list
 of things not supported).  Work is currently underway to make it fully
 compatible with both POSIX and AT&T ksh (when the two don't conflict).
 .
 Since pdksh is free and compiles and runs on most common Unix systems,
 it is very useful in creating a consistent user interface across multiple
 machines.  For example, in the CS department of MUN, pdksh is installed
 on a variety of machines including Suns, HPs, DecStations, PCs running
 Linux, etc., and is the login shell of ~4500 users.
