=== debian/watch ===
version=3
http://www.cs.mun.ca/~michael/pdksh/files/pdksh-([\w+\d+\.]+)\.(?:tar\.gz|tgz|tar\.bz2) debian uupdate
